com.jogamp.nativewindow

## Class MutableGraphicsConfiguration

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsConfiguration
  - - com.jogamp.nativewindow.MutableGraphicsConfiguration

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsConfiguration, VisualIDHolder
  Direct Known Subclasses:
    X11GraphicsConfiguration

      public class MutableGraphicsConfiguration
      extends DefaultGraphicsConfiguration

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.VisualIDHolder

      `VisualIDHolder.VIDComparator, VisualIDHolder.VIDType`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.nativewindow.VisualIDHolder

      `VID_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableGraphicsConfiguration(AbstractGraphicsScreen screen, CapabilitiesImmutable capsChosen, CapabilitiesImmutable capsRequested)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setChosenCapabilities(CapabilitiesImmutable caps)` Set the capabilities to a new value.
    `void` | `setScreen(AbstractGraphicsScreen screen)` Set a new screen.

    - ### Methods inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration

      `clone, getChosenCapabilities, getNativeGraphicsConfiguration, getRequestedCapabilities, getScreen, getVisualID, toHexString, toHexString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableGraphicsConfiguration

          public MutableGraphicsConfiguration(AbstractGraphicsScreen screen,
                                      CapabilitiesImmutable capsChosen,
                                      CapabilitiesImmutable capsRequested)

  - ### Method Detail

    - #### setChosenCapabilities

          public void setChosenCapabilities(CapabilitiesImmutable caps)

      Description copied from class: `DefaultGraphicsConfiguration`
      Set the capabilities to a new value.

      The use case for setting the Capabilities at a later time is a change or re-validation of capabilities.

      See Also:
        `javax.media.nativewindow.GraphicsConfigurationFactory#chooseGraphicsConfiguration(Capabilities, CapabilitiesChooser, AbstractGraphicsScreen)`

    - #### setScreen

          public void setScreen(AbstractGraphicsScreen screen)

      Description copied from class: `DefaultGraphicsConfiguration`
      Set a new screen.

      the use case for setting a new screen at a later time is a change of the graphics device in a multi-screen environment.

Copyright 2010 JogAmp Community.